This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
[perl #73754] Better error message for PerlIO layer implementations
authorTye McQueen <tye@metronet.com>
Mon, 27 Sep 2010 01:35:39 +0000 (18:35 -0700)
committerFather Chrysostomos <sprout@cpan.org>
Mon, 27 Sep 2010 03:30:00 +0000 (20:30 -0700)
please find attached a patch against blead originating from [1] ,
that improves the "Layer does not match this perl" error message by
telling the user which IO layer failed and how. I've tested the
patch against a recent bleadperl and even without the modifications
to perldiag.t all tests pass. Still, for completeness, I've patched
perldiag.t as well.

The code is not mine, it was written and posted by Tye McQueen, I've
just tested it [2] and ferry the information. I'm aware that this
patch is too late for 5.12 , but in the sense of improving Perl in
the long run, I hope the change still makes it into a version of
Perl.

-max

[1] http://perlmonks.org/?node_id=829815
[2] Certified Works On My Machine, 2010


No differences found